#!/bin/tclsh
#
# v_dirscript.tcl
#
set revision "Jan/13/2001"

#
#
# :: Description ::
#     Just stops users from making any two of: Cd1, CD1, cd1, cD1, in
#     the same dir (example).  Gotta hate those dupe CD dirs. :-)
#
# :: Installation ::
#     1) Copy this to /glftpd/bin/.
#     2) Add this to glftpd.conf: pre_dir_check /bin/v_dirscript.tcl
#
#######################################################################


set myNewDir [lindex $argv 0]
set myCurrPath [lindex $argv 1]

cd $myCurrPath
foreach currFile [glob -nocomplain *] {
        # Note: a directory is a special "file".
        if {[string match [string tolower $currFile] [string tolower $myNewDir]]} {
                puts "\"[lindex $argv 1]/$currFile\" already exists; learn how to name dirs buddy!"
                exit 2
        }
}

# EOF. :-)
